@import "../../colors.scss";

.main {
  display: grid;
  grid-template-columns: minmax(0, 1fr) 2fr;

  flex-grow: 1;
  width: 100%;
  min-width: 0;
  overflow-y: hidden;
}

.listWrapper {
  position: relative;

  margin: 40px 0;
  overflow: hidden;
  border-right: solid 2px $accent;
  &::after {
    content: "";
    display: block;
    width: 100%;
    height: 100px;
    position: absolute;
    bottom: 0;

    background: linear-gradient(
      0deg,
      rgba(40, 40, 40, 1) 10%,
      rgba(0, 0, 0, 0) 100%
    );
  }
}

.list {
  height: 100%;
  width: 100%;
  box-sizing: border-box;
  overflow-y: scroll;
  padding-bottom: 100px;

  &::-webkit-scrollbar {
    display: none;
  }

  -ms-overflow-style: none;
  scrollbar-width: none;

  li {
    &.selected {
      background-color: $accent;

      & + * > div {
        border-top: 0;
      }
    }
  }

  & > *:first-child > div {
    border-top: none;
  }
}

.conversation {
  padding: 0 20px;

  & > div {
    border-top: solid 2px $accent;
    box-sizing: border-box;
    display: flex;
    flex-direction: column;
    padding: 15px 0;
  }
}

.name {
  font-family: "JetBrainsMono-Bold", monospace;
  font-size: 20px;
}

.user {
  opacity: 0.5;
  font-size: 18px;
}

.message {
  margin-top: 0.5rem;
  font-size: 14px;
  opacity: 0.8;
  font-family: "JetBrainsMono-Light", monospace;
}

.textOverflow {
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
}
